summaryrefslogtreecommitdiffstats
path: root/kdmtheme
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2008-01-09 22:14:58 +0000
committer Eric Hameleers <alien@slackware.com>2008-01-09 22:14:58 +0000
commitbbf9a8723bf8973306fb8f003753d648abffd8ad (patch)
tree33d6bc9b0474ff23141bd1687416240e73ead3f6 /kdmtheme
parent983c29d352e1644083b2ed03d94407153b0929c9 (diff)
downloadasb-bbf9a8723bf8973306fb8f003753d648abffd8ad.tar.gz
asb-bbf9a8723bf8973306fb8f003753d648abffd8ad.tar.xz
New release
Diffstat (limited to 'kdmtheme')
-rwxr-xr-xkdmtheme/build/kdmtheme.SlackBuild14
1 files changed, 8 insertions, 6 deletions
diff --git a/kdmtheme/build/kdmtheme.SlackBuild b/kdmtheme/build/kdmtheme.SlackBuild
index d8a70050..9a38a89b 100755
--- a/kdmtheme/build/kdmtheme.SlackBuild
+++ b/kdmtheme/build/kdmtheme.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2007 Eric Hameleers <alien@slackware.com>
+# Copyright (c) 2005-2008 Eric Hameleers <alien@slackware.com>
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -38,6 +38,8 @@
# * Polished the SlackBuild script.
# 1.2.1-1: 04/nov/2007 by Eric Hameleers <alien@slackware.com>
# * Update.
+# 1.2.2-1: 09/jan/2008 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh kdmtheme.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -48,7 +50,7 @@
# Set initial variables:
PRGNAM=kdmtheme
-VERSION=${VERSION:-1.2.1}
+VERSION=${VERSION:-1.2.2}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
@@ -111,9 +113,9 @@ esac
# Create clean working directories:
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
-mkdir -p $PKG # place for the package to be built
-rm -rf $PKG/* # We always erase old package's contents:
-mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # always erase old package's contents
+mkdir -p $OUTPUT # place for the package to be saved
# Source files:
if ! [ -f ${SOURCE} ]; then
@@ -122,7 +124,7 @@ if ! [ -f ${SOURCE} ]; then
[ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
echo "Source '`basename ${SOURCE}`' not available yet..."
echo "Will download file to `dirname $SOURCE`"
- wget -nv -O "${SOURCE}" "${SRCURL}" || true
+ wget -nv -T 30 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL